Bug 271657 - Ktorrent segmentation fault
Summary: Ktorrent segmentation fault
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 02:09 UTC by George R. Goffe
Modified: 2011-05-12 21:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
gdb log containing output from where subcommand (11.34 KB, application/octet-stream)
2011-04-25 02:09 UTC, George R. Goffe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George R. Goffe 2011-04-25 02:09:33 UTC
Created attachment 59288 [details]
gdb log containing output from where subcommand

Version:           4.6 (using KDE 4.6.2) 
OS:                Linux

Joris,

I have been receiving these faults increasingly so I used the command you gave me some time ago "gdb --args /usr/bin/ktorrent --nofork". Sure enough, I got another fault. Here's the output of the gdb where command. Gdb recommended a couple of debug info files which are installing now (phonon and qt debuginfo). If you need them to be in the trace, let me know and I'll re-create the problem.

Meanwhile, here's the gdb output.

Regards,

George...



Reproducible: Sometimes

Steps to Reproduce:
start ktorrent and wait.

Actual Results:  
segfault

Expected Results:  
no segfault

see included gdb log containing output from the where command.
Comment 1 Mark Lambert 2011-04-30 19:26:46 UTC
I too have random segfaults with ktorrent.  4.1.0 on fedora 14.

Maybe fault after a few minutes, hours or days - no pattern I can figure out but will try to troubleshoot further.
Comment 2 Joris Guisson 2011-05-12 21:47:53 UTC
Git commit 1a35758f2bcb292496020654f865d660b3768a6f by Joris Guisson.
Committed on 12/05/2011 at 21:36.
Pushed by guisson into branch 'master'.

Revamp scanfolder plugin:
- Fixes a crash
- Improves performance of handling large directory structures
- Some general code cleanup

BUG: 263813
BUG: 271657

M  +1    -0    ChangeLog     
M  +1    -0    RoadMap     
M  +6    -1    plugins/scanfolder/CMakeLists.txt     
M  +29   -278  plugins/scanfolder/scanfolder.cpp     
M  +23   -60   plugins/scanfolder/scanfolder.h     
M  +21   -41   plugins/scanfolder/scanfolderplugin.cpp     
M  +5    -3    plugins/scanfolder/scanfolderplugin.h     
A  +202  -0    plugins/scanfolder/scanthread.cpp         [License: GPL (v2+)]
A  +98   -0    plugins/scanfolder/scanthread.h         [License: GPL (v2+)]
A  +161  -0    plugins/scanfolder/torrentloadqueue.cpp         [License: UNKNOWN]  *
A  +106  -0    plugins/scanfolder/torrentloadqueue.h         [License: GPL (v2+)]

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/ktorrent/1a35758f2bcb292496020654f865d660b3768a6f